<template>
  <div class="login Aligner col-12">
    <div class="Aligner-item col-sm-3">
      <form id="login" @submit="formSubmit">
        <div class="d-flex justify-content-center align-items-center mb-2">
          <b-img-lazy :src="require( '@/assets/img/transisi.png' )" style="width: 70%;" />
        </div>
        <!-- <h5 class="text-center mb-4"><b>Login</b></h5> -->
        <input type="text" placeholder="Email" class="form-control transparan border-bottom mb-4" v-model="email">
        <div class="d-flex">
          <input type="password" placeholder="Password" class="form-control transparan border-bottom mb-4" v-show="!showpass" v-model="password">
          <input type="text" placeholder="Password" class="form-control transparan border-bottom mb-4" v-show="showpass" v-model="password">
          <div>
            <i class="material-icons position-absolute" style="margin-left: -2rem;cursor:pointer" v-if="!eye" @click="eye = !eye, showpass = !showpass">visibility_off</i>
            <i class="material-icons position-absolute" style="margin-left: -2rem;cursor:pointer" v-if="eye" @click="eye = !eye, showpass = !showpass">visibility</i>
          </div>
        </div>
        <div class="text-center mb-4" style="cursor:pointer;" @click="display"><b><i>Registrasi</i></b></div>
        <div class="d-flex justify-content-center">
          <button class="btn btn-success col-9">Login</button>
        </div>
      </form>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Login',
  data: function () {
    return {
      email: 'eve.holt@reqres.in',
      password: 'cityslicka',
      eye: false,
      showpass: false,
      role: '',
      showModal: false
    }
  },
  methods: {
    formSubmit (e) {
      e.preventDefault()
      let params = new FormData()
      params.append('email', this.email)
      params.append('password', this.password)
      this.axios.post('https://reqres.in/api/login', params, {
        headers: {
          accept: 'application/json',
          'Content-Type': 'multipart/form-data, text/plain'
        }
      })
        .then(response => {
          this.$router.push({ name: 'Starships' })
        })
        .catch(function (error) {
          console.log(error)
        })
    },
    display () {
      this.$router.push({ name: 'Register' })
    }
  }
}
</script>

<style lang="scss">
#login .form-control {
  color: black !important;
}
#login ::placeholder {
  color: black !important;
}
#forget ::placeholder {
  color: black !important;
}
#forget input {
  color: black !important;
}
</style>
